import { BasicItemService } from './service';
export declare abstract class BaseItemController {
    basicItemService: BasicItemService;
    $window: any;
    static controllerName: string;
    static $inject: any[];
    itemId: string;
    item: any;
    loading: boolean;
    error: string;
    open: boolean;
    protected itemLoadComplete(): void;
    protected itemIsEmpty(): boolean;
    constructor(basicItemService: BasicItemService, $stateParams: any, $window: any, returnUrlFunction: (item) => string);
    cancel(returnUrl: string): void;
}
