import { UserFactory } from 'web-angularjs-user-factory/lib/src/UserFactory';
import { BasicListFactory } from '../list/factory';
export declare class BasicItemService {
    userFactory: UserFactory;
    listFactory: BasicListFactory;
    dataBaseUrl: any;
    static serviceName: string;
    static $inject: any[];
    mode: string;
    constructor(userFactory: UserFactory, listFactory: BasicListFactory, dataBaseUrl: any);
    getMode(controller: any): "router" | "event";
    $get(): this;
    getItem(id: string, cb: (data: any) => void, failCB: (error: any) => void): void;
    saveItem(item: any, cb: (item) => void, failCB?: (data) => void): void;
    deleteItem(item: any, cb: () => void, failCB?: (data) => void): void;
    createItem(item: any, cb: (item) => void, failCB?: (data) => void): void;
    static BasicItemService(): (string | ((uf: any, blf: any) => BasicItemService))[];
    getId(controller: any, $stateParams: any): any;
}
